<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "folwmain";
$file = "followup.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `party` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `mobile1` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `interest` = '$searchTerm'";
    } 
//    elseif ($_REQUEST["sfield"] == "5") {
//        $cond = "AND `email` = '$searchTerm'";
//    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `party` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `mobile1` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND `interest` LIKE '%$searchTerm%'";
    } 
//    elseif ($_REQUEST["sfield"] == "5") {
//        $cond = "AND `email` LIKE '%$searchTerm%'";
//    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
    } elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `party`";
    } elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `mobile1`";
    } elseif ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `interest`";
    } 
//    elseif ($_REQUEST["sortBy"] == "5") {
//    $sortcond = " ORDER BY `email`";
//    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT * FROM `folwmain` where vouchno != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'party'    => $r[party],
        'vouchno'    => $r[vouchno],
        'mobile'    => $r[mobile1],
        'interest'    => $r[interest],
//        'email'    => $r[email],
        'action'  => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
